package com.sifang.modules.htySap.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
import java.util.List;

public class FhsqReq {

    public static class Head {
        private String ZOASQDH;   //流程编号
        private String ZYWY;   //业务员
        private Date ZERDAT;  //创建日期
        private Date ZJHDAT; //计划交货日期
        private String ZFHLX;  //发货类型
        private String ZCPLX;  //产品类型
        private String ZHTH;  //合同编号
        private String ZHTMC; //合同名称
        private String KUNNR; //客户编号
        private String NAME; //客户名称
        private String ZHTJE;  //合同金额
        private String ZHKJE;  //回款金额
        private String ZSHF;   //收货方
        private String ZCYDW;  //承运单位
        private String ZSHDZ;   //收货地址
        private String ZYF;   //运费
        private String ZLXR;   ///收货联系人
        private String ZSYCX;  //卸货现场适用车型
        private String ZPHONE;  //收货联系人电话
        private String MAIL;  //邮箱
        private String ZSJXM; //司机姓名
        private String ZSJDH;  //司机电话
        private String ZCARNUM;  //车牌号
        private String ZREMARK; //备注

        private String PSPID; // 项目编码

        private String ZXMMC;  //项目名称

        public String getPSPID() {
            return this.PSPID;
        }

        public void setPSPID(final String PSPID) {
            this.PSPID = PSPID;
        }

        public String getZXMMC() {
            return this.ZXMMC;
        }

        public void setZXMMC(final String ZXMMC) {
            this.ZXMMC = ZXMMC;
        }

        public String getZOASQDH() {
            return ZOASQDH;
        }

        public void setZOASQDH(String ZOASQDH) {
            this.ZOASQDH = ZOASQDH;
        }

        public String getZYWY() {
            return ZYWY;
        }

        public void setZYWY(String ZYWY) {
            this.ZYWY = ZYWY;
        }

        public Date getZERDAT() {
            return this.ZERDAT;
        }

        public void setZERDAT(final Date ZERDAT) {
            this.ZERDAT = ZERDAT;
        }

        public Date getZJHDAT() {
            return this.ZJHDAT;
        }

        public void setZJHDAT(final Date ZJHDAT) {
            this.ZJHDAT = ZJHDAT;
        }

        public String getZFHLX() {
            return ZFHLX;
        }

        public void setZFHLX(String ZFHLX) {
            this.ZFHLX = ZFHLX;
        }

        public String getZCPLX() {
            return ZCPLX;
        }

        public void setZCPLX(String ZCPLX) {
            this.ZCPLX = ZCPLX;
        }

        public String getZHTH() {
            return ZHTH;
        }

        public void setZHTH(String ZHTH) {
            this.ZHTH = ZHTH;
        }

        public String getZHTMC() {
            return ZHTMC;
        }

        public void setZHTMC(String ZHTMC) {
            this.ZHTMC = ZHTMC;
        }

        public String getKUNNR() {
            return KUNNR;
        }

        public void setKUNNR(String KUNNR) {
            this.KUNNR = KUNNR;
        }

        public String getNAME() {
            return NAME;
        }

        public void setNAME(String NAME) {
            this.NAME = NAME;
        }

        public String getZHTJE() {
            return ZHTJE;
        }

        public void setZHTJE(String ZHTJE) {
            this.ZHTJE = ZHTJE;
        }

        public String getZHKJE() {
            return ZHKJE;
        }

        public void setZHKJE(String ZHKJE) {
            this.ZHKJE = ZHKJE;
        }

        public String getZSHF() {
            return ZSHF;
        }

        public void setZSHF(String ZSHF) {
            this.ZSHF = ZSHF;
        }

        public String getZCYDW() {
            return ZCYDW;
        }

        public void setZCYDW(String ZCYDW) {
            this.ZCYDW = ZCYDW;
        }

        public String getZSHDZ() {
            return ZSHDZ;
        }

        public void setZSHDZ(String ZSHDZ) {
            this.ZSHDZ = ZSHDZ;
        }

        public String getZYF() {
            return ZYF;
        }

        public void setZYF(String ZYF) {
            this.ZYF = ZYF;
        }

        public String getZLXR() {
            return ZLXR;
        }

        public void setZLXR(String ZLXR) {
            this.ZLXR = ZLXR;
        }

        public String getZSYCX() {
            return ZSYCX;
        }

        public void setZSYCX(String ZSYCX) {
            this.ZSYCX = ZSYCX;
        }

        public String getZPHONE() {
            return ZPHONE;
        }

        public void setZPHONE(String ZPHONE) {
            this.ZPHONE = ZPHONE;
        }

        public String getMAIL() {
            return MAIL;
        }

        public void setMAIL(String MAIL) {
            this.MAIL = MAIL;
        }

        public String getZSJXM() {
            return ZSJXM;
        }

        public void setZSJXM(String ZSJXM) {
            this.ZSJXM = ZSJXM;
        }

        public String getZSJDH() {
            return ZSJDH;
        }

        public void setZSJDH(String ZSJDH) {
            this.ZSJDH = ZSJDH;
        }

        public String getZCARNUM() {
            return ZCARNUM;
        }

        public void setZCARNUM(String ZCARNUM) {
            this.ZCARNUM = ZCARNUM;
        }

        public String getZREMARK() {
            return ZREMARK;
        }

        public void setZREMARK(String ZREMARK) {
            this.ZREMARK = ZREMARK;
        }

        @Override
        public String toString() {
            return "Head{" +
                    "ZOASQDH='" + ZOASQDH + '\'' +
                    ", ZYWY='" + ZYWY + '\'' +
                    ", ZERDAT=" + ZERDAT +
                    ", ZJHDAT=" + ZJHDAT +
                    ", ZFHLX='" + ZFHLX + '\'' +
                    ", ZCPLX='" + ZCPLX + '\'' +
                    ", ZHTH='" + ZHTH + '\'' +
                    ", ZHTMC='" + ZHTMC + '\'' +
                    ", KUNNR='" + KUNNR + '\'' +
                    ", NAME='" + NAME + '\'' +
                    ", ZHTJE='" + ZHTJE + '\'' +
                    ", ZHKJE='" + ZHKJE + '\'' +
                    ", ZSHF='" + ZSHF + '\'' +
                    ", ZCYDW='" + ZCYDW + '\'' +
                    ", ZSHDZ='" + ZSHDZ + '\'' +
                    ", ZYF='" + ZYF + '\'' +
                    ", ZLXR='" + ZLXR + '\'' +
                    ", ZSYCX='" + ZSYCX + '\'' +
                    ", ZPHONE='" + ZPHONE + '\'' +
                    ", MAIL='" + MAIL + '\'' +
                    ", ZSJXM='" + ZSJXM + '\'' +
                    ", ZSJDH='" + ZSJDH + '\'' +
                    ", ZCARNUM='" + ZCARNUM + '\'' +
                    ", ZREMARK='" + ZREMARK + '\'' +
                    '}';
        }
    }

    public static class Line {

        private String ZEOASQDH;
        private String ZOASQHH;
        private String MATNR;
        private String MAKTX;
        private String ZZXHGG;
        private String ZFHSL;
        private String ZHTDJ;
        private String ZKDPTX;

        public String getZEOASQDH() {
            return this.ZEOASQDH;
        }

        public void setZEOASQDH(final String ZEOASQDH) {
            this.ZEOASQDH = ZEOASQDH;
        }

        public String getZOASQHH() {
            return ZOASQHH;
        }

        public void setZOASQHH(String ZOASQHH) {
            this.ZOASQHH = ZOASQHH;
        }

        public String getMATNR() {
            return MATNR;
        }

        public void setMATNR(String MATNR) {
            this.MATNR = MATNR;
        }

        public String getMAKTX() {
            return MAKTX;
        }

        public void setMAKTX(String MAKTX) {
            this.MAKTX = MAKTX;
        }

        public String getZZXHGG() {
            return ZZXHGG;
        }

        public void setZZXHGG(String ZZXHGG) {
            this.ZZXHGG = ZZXHGG;
        }

        public String getZFHSL() {
            return ZFHSL;
        }

        public void setZFHSL(String ZFHSL) {
            this.ZFHSL = ZFHSL;
        }

        public String getZHTDJ() {
            return ZHTDJ;
        }

        public void setZHTDJ(String ZHTDJ) {
            this.ZHTDJ = ZHTDJ;
        }

        public String getZKDPTX() {
            return ZKDPTX;
        }

        public void setZKDPTX(String ZKDPTX) {
            this.ZKDPTX = ZKDPTX;
        }

        @Override
        public String toString() {
            return "Line{" +
                    "ZOASQHH='" + ZOASQHH + '\'' +
                    ", MATNR='" + MATNR + '\'' +
                    ", MAKTX='" + MAKTX + '\'' +
                    ", ZZXHGG='" + ZZXHGG + '\'' +
                    ", ZFHSL='" + ZFHSL + '\'' +
                    ", ZHTDJ='" + ZHTDJ + '\'' +
                    ", ZKDPTX='" + ZKDPTX + '\'' +
                    '}';
        }
    }

    private Head head;
    private List<Line> line;

    public Head getHead() {
        return head;
    }

    public void setHead(Head head) {
        this.head = head;
    }

    public List<Line> getLine() {
        return line;
    }

    public void setLine(List<Line> line) {
        this.line = line;
    }

    @Override
    public String toString() {
        return "FhsqReq{" +
                "head=" + head +
                ", line=" + line +
                '}';
    }
}
